import { MetadataRegistry } from './types';
export type RegistryLoadInput = {
    /** The project directory to look at sfdx-project.json file
     * will default to the current working directory
     * if no project file is found, the standard registry will be returned without modifications
     */
    projectDir?: string;
};
/** combine the standard registration with any overrides specific in the sfdx-project.json */
export declare const getEffectiveRegistry: (input?: RegistryLoadInput) => MetadataRegistry;
/** merge the children of the top-level properties (ex: types, suffixes, etc) on 2 registries */
export declare const firstLevelMerge: (original: MetadataRegistry, overrides: MetadataRegistry) => MetadataRegistry;
