"use strict";
/*
 * Copyright (c) 2024, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepFreeze = deepFreeze;
/**
 * Deeply freezes an object, making the entire thing immutable.
 *
 * @param object - Object to deep freeze
 * @returns A deeply frozen version of the object
 */
function deepFreeze(object) {
    for (const val of Object.values(object)) {
        if (val && typeof val === 'object') {
            deepFreeze(val);
        }
    }
    return Object.freeze(object);
}
//# sourceMappingURL=collections.js.map